class SubscriptionsController < ApplicationController
  # GET /subscriptions
  # GET /subscriptions.json
  def index
    @subscriptions = UserSubscribeTopic.where(user: current_user)
    @subscription  = UserSubscribeTopic.new(topic: topic)
  end

  # POST /subscriptions
  # POST /subscriptions.json
  def create
    respond_to do |format|
      if UserSubscribeTopic.create(topic: topic, user: current_user)
        format.html { redirect_to '/subscriptions', notice: "You are subscribe #{topic}." }
      else
        format.html { render :index }
      end
    end
  end

  # DELETE /subscriptions/:topic
  # DELETE /subscriptions/:topic.json
  def destroy
    UserSubscribeTopic.find_by(topic: params[:id], user: current_user).destroy
    respond_to do |format|
      format.html { redirect_to '/subscriptions', notice: "You are unsbscribe #{topic}" }
      format.json { head :no_content }
    end
  end

  private

  def topic
    params[:user_subscribe_topic][:topic] if params[:user_subscribe_topic]
  end
end
