class TopicsController < ApplicationController
  # GET /topic/:name
  # GET /topic/:name.json
  def show
    @messages = Message.topic_of(topic)
  end

  # POST /topic/:name/subscribe
  # POST /topic/:name/subscribe.json
  def subscribe
    respond_to do |format|
      if UserSubscribeTopic.create(topic: topic, user: current_user)
        format.html { redirect_to topic_path(topic), notice: "You are subscribe it." }
      else
        format.html { render :index }
      end
    end
  end

  # DELETE /topic/:name/subscribe
  # DELETE /topic/:name/subscribe.json
  def unsubscribe
    UserSubscribeTopic.find_by(topic: params[:id], user: current_user).destroy
    respond_to do |format|
      format.html { redirect_to topic_path(topic), notice: "You are unsubscribe it." }
      format.json { head :no_content }
    end
  end

  private

  def topic
    params[:id]
  end
end
