Rails.application.routes.draw do
  resource :profile
  resources :messages
  resources :subscriptions
  resources :topics, path: 'topic' do
    member do
      post :subscribe
      delete :subscribe, to: 'topics#unsubscribe'
    end
  end
  devise_for :users
  root 'messages#index'
  get ':username', to: 'profiles#show'
  get ':username/follows', to: 'follows#index', as: 'follows'
  get ':username/followed', to: 'follows#followed', as: 'followed'
  post   ':username/follow', to: 'follows#create', as: 'follow'
  delete ':username/follow', to: 'follows#destroy'
end
